<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/continuous/expansionvehicleactionpicklock.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d73/a02708_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionvehicleactionpicklock.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d73/a02708.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/db0/a07037.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/db0/a07037.html">ExpansionVehicleActionPickLock</a>: <a class="code hl_class" href="../../db/dc1/a07029.html">ExpansionActionPickVehicleLockBase</a> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/db0/a07037.html#ab143407a190f66c38b64d160b37d45dc">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/db0/a07037.html#ab143407a190f66c38b64d160b37d45dc">ActionCondition</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">if</span> ( !super.ActionCondition( player, target, item ) )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="keywordflow">if</span> ( player.IsInSafeZone() )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a> vehicleBase = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast( target.<a class="code hl_function" href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>() );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span> ( vehicleBase &amp;&amp; vehicleBase.IsLocked() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetVehicle().<a class="code hl_variable" href="../../da/de8/a02657.html#a97656709f67889f34b88e9bd80314f7f">CanPickLock</a> )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetVehicle().<a class="code hl_variable" href="../../da/de8/a02657.html#afad4cc6869a217ac8e3c28394b3a9a41">PickLockTools</a>.Find( item.GetType() ) &gt; -1 )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d7/db0/a07037.html#a22893dfba8bf8a97a047c8e8b2e7f66f">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/db0/a07037.html#a22893dfba8bf8a97a047c8e8b2e7f66f">OnFinishProgressServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a> vehicleBase = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast( action_data.m_Target.GetParentOrObject() );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( vehicleBase )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordtype">float</span> pickLockChancePercent = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#ac1f06fa97c2f802f64bce0170f2dccd8">GetVehicle</a>().PickLockChancePercent;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().VehicleLockPicking )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[VehicleLockPick] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; is attempting to pick lock on &quot;</span> + vehicleBase.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + vehicleBase.GetVehiclePersistentIDString() + <span class="stringliteral">&quot; pos=&quot;</span> + vehicleBase.GetPosition() + <span class="stringliteral">&quot;) with &quot;</span> + action_data.m_MainItem.GetType() );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">if</span> ( Math.RandomFloat( 0, 100 ) &lt; pickLockChancePercent )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                vehicleBase.UnlockCarWithoutKey();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().VehicleLockPicking )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>( <span class="stringliteral">&quot;[VehicleLockPick] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; picked lock on &quot;</span> + vehicleBase.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + vehicleBase.GetVehiclePersistentIDString() + <span class="stringliteral">&quot; pos=&quot;</span> + vehicleBase.GetPosition() + <span class="stringliteral">&quot;) with &quot;</span> + action_data.m_MainItem.GetType() );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            super.OnFinishProgressServer( action_data );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>}</div>
<div class="ttc" id="aa02657_html_a97656709f67889f34b88e9bd80314f7f"><div class="ttname"><a href="../../da/de8/a02657.html#a97656709f67889f34b88e9bd80314f7f">CanPickLock</a></div><div class="ttdeci">bool CanPickLock</div><div class="ttdoc">Amount of times the masterkey can pair unpaired keys.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02657_source.html#l00026">expansionvehiclesettings.c:26</a></div></div>
<div class="ttc" id="aa02657_html_afad4cc6869a217ac8e3c28394b3a9a41"><div class="ttname"><a href="../../da/de8/a02657.html#afad4cc6869a217ac8e3c28394b3a9a41">PickLockTools</a></div><div class="ttdeci">autoptr TStringArray PickLockTools</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02657_source.html#l00027">expansionvehiclesettings.c:27</a></div></div>
<div class="ttc" id="aa03377_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa03377_html_ac1f06fa97c2f802f64bce0170f2dccd8"><div class="ttname"><a href="../../dd/d8e/a03377.html#ac1f06fa97c2f802f64bce0170f2dccd8">ExpansionSettings::GetVehicle</a></div><div class="ttdeci">ExpansionVehicleSettings GetVehicle(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1d/a08457_source.html#l00048">expansionsettings.c:48</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04357_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04713_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa07029_html"><div class="ttname"><a href="../../db/dc1/a07029.html">ExpansionActionPickVehicleLockBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d94/a02702_source.html#l00001">expansionactionpickvehiclelock.c:2</a></div></div>
<div class="ttc" id="aa07037_html"><div class="ttname"><a href="../../d7/db0/a07037.html">ExpansionVehicleActionPickLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d73/a02708_source.html#l00001">expansionvehicleactionpicklock.c:2</a></div></div>
<div class="ttc" id="aa07037_html_a22893dfba8bf8a97a047c8e8b2e7f66f"><div class="ttname"><a href="../../d7/db0/a07037.html#a22893dfba8bf8a97a047c8e8b2e7f66f">ExpansionVehicleActionPickLock::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d73/a02708_source.html#l00022">expansionvehicleactionpicklock.c:22</a></div></div>
<div class="ttc" id="aa07037_html_ab143407a190f66c38b64d160b37d45dc"><div class="ttname"><a href="../../d7/db0/a07037.html#ab143407a190f66c38b64d160b37d45dc">ExpansionVehicleActionPickLock::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d73/a02708_source.html#l00003">expansionvehicleactionpicklock.c:3</a></div></div>
<div class="ttc" id="aa07441_html"><div class="ttname"><a href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8b/a02996_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_11ac9e2522a33f78983a3e1970f0c222.html">continuous</a></li><li class="navelem"><a class="el" href="../../d7/d73/a02708.html">expansionvehicleactionpicklock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
